<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('blog', function(Blueprint $table) {
			$table->foreign('admin_id')->references('id')->on('administrators')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('requests', function(Blueprint $table) {
			$table->foreign('pricing_id')->references('id')->on('pricing')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('administrators', function(Blueprint $table) {
			$table->foreign('req_id')->references('id')->on('requests')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('blog_tag', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('blog_tag')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('blog_tag', function(Blueprint $table) {
			$table->foreign('tag_id')->references('id')->on('blog_tag')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pricing', function(Blueprint $table) {
			$table->foreign('admin_id')->references('id')->on('administrators')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('category_pricing', function(Blueprint $table) {
			$table->foreign('categ_id')->references('id')->on('categories')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('category_pricing', function(Blueprint $table) {
			$table->foreign('pricing_id')->references('id')->on('pricing')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('images', function(Blueprint $table) {
			$table->foreign('post_id')->references('id')->on('blog')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('portfolios', function(Blueprint $table) {
			$table->foreign('category_id')->references('id')->on('categories')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('portfolios', function(Blueprint $table) {
			$table->foreign('admin_id')->references('id')->on('administrators')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('blog', function(Blueprint $table) {
			$table->dropForeign('blog_admin_id_foreign');
		});
		Schema::table('requests', function(Blueprint $table) {
			$table->dropForeign('requests_pricing_id_foreign');
		});
		Schema::table('administrators', function(Blueprint $table) {
			$table->dropForeign('administrators_req_id_foreign');
		});
		Schema::table('blog_tag', function(Blueprint $table) {
			$table->dropForeign('blog_tag_category_id_foreign');
		});
		Schema::table('blog_tag', function(Blueprint $table) {
			$table->dropForeign('blog_tag_tag_id_foreign');
		});
		Schema::table('pricing', function(Blueprint $table) {
			$table->dropForeign('pricing_admin_id_foreign');
		});
		Schema::table('category_pricing', function(Blueprint $table) {
			$table->dropForeign('category_pricing_categ_id_foreign');
		});
		Schema::table('category_pricing', function(Blueprint $table) {
			$table->dropForeign('category_pricing_pricing_id_foreign');
		});
		Schema::table('images', function(Blueprint $table) {
			$table->dropForeign('images_post_id_foreign');
		});
		Schema::table('portfolios', function(Blueprint $table) {
			$table->dropForeign('portfolios_category_id_foreign');
		});
		Schema::table('portfolios', function(Blueprint $table) {
			$table->dropForeign('portfolios_admin_id_foreign');
		});
	}
}